/* Implements directives, pseudo-ops and processor opcodes
   Copyright 1998-2005
   James Bowman, Craig Franklin
*/

#pragma once
#include "stdhdr.h"

#define W                   0
#define F                   1
#define ACCESS              0
#define BANKED              1

EXTERN_C gpasmVal do_insn(const char *Op_name, struct pnode *Parms);
EXTERN_C void opcode_init(int Stage);
EXTERN_C void begin_cblock(const struct pnode *Cblock);
EXTERN_C void continue_cblock(void);
EXTERN_C void cblock_expr(const struct pnode *Expr);
EXTERN_C void cblock_expr_incr(const struct pnode *Expr, const struct pnode *Incr);
EXTERN_C bool asm_enabled(void);

